Name:		OpenMFA
Version:	1.1
Release:	2%{?dist}
Summary:	TACC OpenSSH pluggable authentication module project for MFA

Group:		System Environment/Base

License:	GNU Affero GPLv3
URL:		https://github.com/TACC/OpenMFA
Source0:	OpenMFA.tar.bz2
Patch1:		fix8.patch

BuildRequires:	pam-devel openssl-devel cmake
#BuildRequires:	doxygen
Requires:	pam

%description
TACC OpenSSH pluggable authentication module project for multi-factor authentication


%prep
%setup -q -n %{name}
%patch1 -p1 -b .fix8

%build
mkdir build testinstall
cd build
export CFLAGS="-D_GNU_SOURCE -g"
cmake -DCMAKE_INSTALL_PREFIX=/ ../omfa
make %{?_smp_mflags}
#make doc

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT .. -name \*sun.openmfa -delete
find $RPM_BUILD_ROOT .. -name \*suse.openmfa -delete
find $RPM_BUILD_ROOT -name \*centos.openmfa -delete
find .. -name \*centos.openmfa -exec rename centos.openmfa openmfa {} \;
rm -f $RPM_BUILD_ROOT/usr/local/adm/bin/cycle_sshd.sh

%files
%defattr(-,root,root)
%doc License.md README.md fig
%doc omfa/config/*openmfa
/%{_lib}/security/pam*so
%config(noreplace) /etc/security/openmfa_access.conf


%changelog
* Wed Jan 29 2020 Josko Plazonic <plazonic@princeton.edu>
- build for rhel8, for now drop ssl
